org.apache.ignite.internal.binary

## Class BinaryTreeMap

- java.lang.Object
- - org.apache.ignite.internal.binary.BinaryTreeMap

All Implemented Interfaces:
  Serializable, Binarylizable

    public class BinaryTreeMap
    extends Object
    implements Binarylizable, Serializable

Binary `TreeMap` wrapper.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BinaryTreeMap()` Default constructor.
`BinaryTreeMap(TreeMap map)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `readBinary(BinaryReader reader)` Reads fields from provided reader.
`protected Object` `readResolve()` Reconstructs object on unmarshalling.
`void` `writeBinary(BinaryWriter writer)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryTreeMap

    public BinaryTreeMap()

Default constructor.

#### BinaryTreeMap

    public BinaryTreeMap(TreeMap map)

Constructor.

Parameters:
  `map` - Original map.

### Method Detail

#### writeBinary

    public void writeBinary(BinaryWriter writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `Binarylizable`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReader reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `Binarylizable`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

#### readResolve

    protected Object readResolve()
                          throws ObjectStreamException

Reconstructs object on unmarshalling.

Returns:
  Reconstructed object.
Throws:
  `ObjectStreamException` - Thrown in case of unmarshalling error.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022